(ns lu-preprocessing.map-test
  (:require [clojure.test :refer :all]
            [lu-preprocessing.map :refer :all]))


;;; tests

(deftest parse-test
  (testing "Region map values should be parsed as integers."
    (
     ; Act
     let [raster (parse ["ncols 5"
                         "nrows 5"
                         "xllcorner 1.0"
                         "yllcorner 2.0"
                         "cellsize 200.0"
                         "NODATA_value -9999"
                         "-9999 1 2 1 -9999"
                         "0 0 0 0 0"
                         "0 -9999 0 -9999 1"
                         "1 1 -9999 2 -9999"
                         "-9999 -9999 -9999 -9999 -9999"])]

       ; Assert
       (is (= raster
              {0 {1 [0 1 2 3 4]
                  2 [0 2]}
               1 {0 [1 3]
                  2 [4]
                  3 [0 1]}
               2 {0 [2]
                  3 [3]}})))))
