# Lu-regression

Lu-regression app runs multiple linear regression model with the unknown joint distribution of error terms
using OLS and resampling.

Hypothesis testing is done using the permutations method.
Confidence intervals are estimated using bootstrapping.

## Install

No installation needed. This is a standalone java application.
Requires JRE 1.8.

## Usage

  execute in the root directory

  $ java -jar lu-regression-1.0.0-standalone.jar sample-all.csv 10000
  $ java -jar lu-regression-1.0.0-standalone.jar sample-x1-x2-x3-x9-x10.csv 10000
  $ java -jar lu-regression-1.0.0-standalone.jar sample-x1-x2-x3.csv 10000

## Options

    -t, --trace   Print stack trace
    -h, --help    Print command help

## References
  [API Documentation] [doc] folder at the root of this distribution

  [1] Anderson, M. (2001). Permutation tests for univariate or multivariate analysis of variance and regression.
      Canadian Journal of Fisheries and Aquatic Sciences, 58(3): 626-639. DOI: 10.1139/f01-004.
  [2] Efron, B., & Tibshirani, R. (1993). An Introduction to the Bootstrap.
      New York: Chapman and Hall.

## License

Licensed under [MIT](http://opensource.org/licenses/MIT)
