(ns lu-rescaling.map-operations-test
  (:require [clojure.test :refer :all]
            [lu-rescaling.map-operations :refer :all]))


(deftest reverse-map-test
  (testing "Value map should be reverted to a map with position keys."
    (
     ; Act
     let [result (reverse-map {1 {0 [0 1 2]
                                  1 [1]}
                               2 {1 [0]
                                  2 [1 2]}
                               3 {1 [2]
                                  2 [0]}})]

       ; Assert
       (is (= result
              {[0 0] 1
               [0 1] 1
               [0 2] 1
               [1 0] 2
               [1 1] 1
               [1 2] 3
               [2 0] 3
               [2 1] 2
               [2 2] 2})))))

(deftest merge-into-cross-map-test
  (testing "Cross map of source values on the target set of values should be formed."
    (
     ; Act
     let [result (merge-into-cross-map {0 {0 [1 2] 1 [0 1 2] 2 [2]}
                                        1 {0 [0] 2 [0 1]}}
                                       {"id1"
                                        {0 {2 [1]}
                                         1 {1 [2]}
                                         2 {1 [0 1] 2 [0]}
                                         3 {0 [0 1 2] 2 [2]}}
                                        "id2"
                                        {1 {0 [1 2] 1 [0 1 2]}
                                         2 {0 [0] 2 [0 1 2]}}})]

       ; Assert
       (is (= result
              {0 {"id1" [3 3 2 2 1 3]
                  "id2" [1 1 1 1 1 2]}
               1 {"id1" [3 2 0]
                  "id2" [2 2 2]}})))))
