# Data-cleaning

A library for preprocessing of the sample GIS-based data.
Forms a sample of the cleaned .asc map files after 1) filtering of cells, 2) transformation of the land use map by counting the number of cells with urban land use in the cell Moore neighbourhood, 3) transformation of other maps with log and rescaling to [0,1], if specified.

## Libraries

* land-use-sample - forms a sample of the cleaned .asc map files (top interface)
* sampling - cleans .asc files content. Applies transformation to the cleaned cell values, if specified.
* spatial-maps - transforms original map matrices
* validation - performs validation of original map input
* settings - parses settings file
* filter - filters cell values
* sample - returns summary of Moore neighbourhood data
* map - parses .asc content
* output-provider - converts results to different file formats

## Install

To include libraries add the following to your `:dependencies`:

### Leiningen
```clj
[org.iiasa/data-cleaning "1.0.0"]
```

### Maven

```xml
<dependency>
  <groupId>org.iiasa</groupId>
  <artifactId>data-cleaning</artifactId>
  <version>1.0.0</version>
</dependency>
```

## Usage

(require '[data-cleaning.land-use-sample :refer :all])
(clean \"settings.xml\")

## License

Licensed under [MIT](http://opensource.org/licenses/MIT)
