# Introduction

Forms a sample of the cleaned .asc map files.

Steps include:

    1) filtering of cells, where analysis is not applicable

    2) transformation of the land use map by counting the number of cells with urban land use
       in the cell Moore neighbourhood

    3) transformation of other maps with log and rescaling to [0,1], if specified.

       *Rescaling to the [0,1] range is done using the following transformation:
           x'=(x-x_min)/(x_max-x_min)

Top level interfaces:

    1) Top library interface

        ns: data-cleaning.land-use-sample

    2) Standalone application

        ns: data-cleaning.core

Path to the settings file is passed as an argument to the top level interfaces. The file format is xml.

Example:

    <?xml version="1.0"?>
    <files>
      <raster path = "land-use.asc"
              group = "land-use" />

      <raster path = "map1.asc" />
      <raster path = "region.asc"
              group = "region"/>
      <raster path = "map2.asc"
              transform = "log" />
      <raster path = "map3.asc"
              transform = "unit-rescaling" />

      <raster path = "zoning.asc"
              group = "mask" />

    </files>
