(ns data-cleaning.sample-test
  (:require [clojure.test :refer :all]
            [data-cleaning.sample :refer :all]
            [utilities.floating-point-comparison :refer :all]))

;;; tests

(deftest get-neighbourhood-data-test
  (testing "Neighbourhoods should be counted."
    (
     ; Arrange
     let [neighbours [[1 1 1
                       1 1 1
                       1 1 1]
                      [0 0 0
                       0 1 0
                       0 0 0]
                      [0 0 0
                       0 1 0
                       0 0 0]
                      [0 0 0
                       0 0 0
                       0 0 0]
                      [1 nil 0
                       0 1 0
                       0 0 1]
                      [0 0 0
                       0 0 1
                       0 0 0]
                      [0 0 0
                       0 1 1
                       0 0 0]
                      [1 1 1
                       1 1 1
                       1 1 1]
                      [0 0 0
                       0 0 0
                       0 0 0]]]

      ; Act
      (let [combinations (get-neighbourhood-data neighbours)]

        ; Assert
        (is (= combinations
               {[1 0 0
                 0 1 0
                 0 1 0]
                2
                [1 0 0
                 0 0 0
                 0 1 0]
                4
                [1 1 1
                 0 1 0
                 1 1 0]
                1
                [1 0 0
                 0 0 1
                 1 1 0]
                1}))))))
