(ns data-cleaning.settings-test
  (:require [clojure.test :refer :all]
            [data-cleaning.settings :refer :all]))

(deftest read-settings-test
  (testing "Settings should be read from the xml file."
    (
     ; Act
     let [settings (read-settings "test/data_cleaning/test_files/settings.xml")]

       ; Assert
       (is (= (get settings :land-use)
              "land-use-file"))

       (is (= (get settings :other)
              {"economic-indicator-file" :identity
               "region-file" :identity
               "economy2-file" :log}))

       (is (= (get settings :mask)
              "zoning-file")))))

(deftest read-region-test
  (testing "Region path should be read from the settings file."
    (
     ; Act
     let [path (read-region "test/data_cleaning/test_files/settings.xml")]

       ; Assert
       (is (= path
              '("region-file"))))))
