# Available functionality

Regression-tests runs multiple linear regression with the unknown joint distribution of error terms
using OLS and resampling.

This includes:

    1) Performing hypothesis testing using the permutations method to assess overall model
       significance and individual coefficient's significance.

        ns: regression-tests.permutations

    2) Estimating confidence intervals for different model statistics using bootstrapping.
       Used
            to calculate confidence intervals for regression parameters,
            to assess approximation acccuracy of another sample,
            to test residuals for spatial autocorrelation.

        ns: regression-tests.bootstrap

    3) Plus, calculating spatial autocorrelation indexes.

        ns: regression-tests.sample-tests

Top level interfaces:

    1) Permutation testing and bootstrapping with a csv formatted output.

        ns: regression-tests.csv

    2) Standalone application with parameterized execution modes:
       'permutations' - hypothesis testing using permutations method
                        (model and coefficents significance),
       'bootstrap-regression' - estimating confidence intervals for regression model parameters
                                using bootstrapping
       'bootstrap-accuracy' - estimating approximation accuracy using bootstrapping,
       'iid' - bootstrap hypothesis testing on spatial autocorrelation.

        ns: regression-tests.core

### References
  [1] Anderson, M. (2001). Permutation tests for univariate or multivariate analysis of variance and regression.
      Canadian Journal of Fisheries and Aquatic Sciences, 58(3): 626-639. DOI: 10.1139/f01-004.

  [2] Freedman, D., & Lane, D. (1983). A Nonstochastic Interpretation of Reported Significance Levels.
      Journal of Business & Economic Statistics, 1(4): 292-298. DOI: 10.2307/1391660.

  [3] Efron, B. (1979). Bootstrap Methods: Another Look at the Jackknife.
      Annals of Statistics, 7(1): 1-26. DOI:10.1214/aos/1176344552.

  [4] Efron, B., & Tibshirani, R. (1993). An Introduction to the Bootstrap.
      New York: Chapman and Hall.

  [5] Geary, R. (1954). The Contiguity Ratio and Statistical Mapping.
      The Incorporated Statistician, 5(3): 115-145. DOI: 10.2307/2986645.

  [6] Moran, P. (1950). Notes on Continuous Stochastic Phenomena.
      Biometrika, 37(1-2): 17-23. DOI: 10.2307/2332142.

  [7] Lin, K.-P., Long, Z.-H., & Ou, B. (2011). The Size and Power of Bootstrap Tests for Spatial Dependence in a Linear Regression Model.
      Computational Economics, 38(2): 153-171. DOI: 10.1007/s10614-010-9224-0.
